You are not logged in.

#1 2013-01-27 14:16:46

nuc
Member
Registered: 2012-04-26
Posts: 115

[SOLVED] Glibc and filesystem update, I screwed it up

Hi,
I read the announcement and tried to update via "pacman -Syu", however pacman gave the message

filesystem: /usr/lib64 exists in filesystem

Ok, so I did

pacman -Syu --ignore filesystem glibc

Unfortunately I didn't think of 'ignoring' lib32-glibc and I think this screwed everything up:

sudo pacman -Syu --ignore filesystem glibc
[sudo] password for nuc: 
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 extra ist aktuell
 community ist aktuell
 multilib ist aktuell
 archlinuxfr ist aktuell
:: Starte komplette Systemaktualisierung...
Warnung: balz: Lokale Version (1.15-4) ist neuer als archlinuxfr (1.15-2)
Warnung: filesystem: Ignoriere Paket-Aktualisierung (2012.12-1 => 2013.01-1)
Löse Abhängigkeiten auf...
Warnung: Abhängigkeits-Zyklus entdeckt:
Warnung: lib32-gcc-libs wird vor seiner Abhängigkeit gcc-libs-multilib installiert werden
Suche nach Zwischenkonflikten...

Pakete (26): bash-4.2.042-2  cifs-utils-5.9-1  colord-0.1.28-1  cpupower-3.7-5
             ethtool-1:3.7-1  gcc-libs-multilib-4.7.2-4  gcc-multilib-4.7.2-4
             gnupg-2.0.19-4  gpgme-1.3.1-5  json-c-0.10-1
             lib32-gcc-libs-4.7.2-4  lib32-glibc-2.17-2  lib32-libgl-9.0.2-1
             lib32-libglapi-9.0.2-1  lib32-pango-1.32.5-1
             libtorrent-rasterbar-1:0.16.7-1  libwbclient-3.6.11-2
             linux-api-headers-3.7.4-1  macchanger-1.5.0-6  mkinitcpio-0.12.0-3
             perl-error-0.17019-1  smbclient-3.6.11-2  sudo-1.8.6.p5-1
             xorg-server-1.13.2-1  xorg-server-common-1.13.2-1  glibc-2.17-2

Gesamtgröße der zu installierenden Pakete: 271,63 MiB
Größendifferenz der Aktualisierung:       5,31 MiB

Installation fortsetzen?  [J/n] 
(26/26) Überprüfe Paket-Integrität                 [----------------------] 100%
(26/26) Lade Paket-Dateien                         [----------------------] 100%
(26/26) Prüfe auf Dateikonflikte                   [----------------------] 100%
(26/26) Überprüfe verfügbaren Festplattenspeicher  [----------------------] 100%
( 1/26) Aktualisiere linux-api-headers             [----------------------] 100%
( 2/26) Aktualisiere glibc                         [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 3/26) Aktualisiere bash                          [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 4/26) Aktualisiere libwbclient                   [----------------------] 100%
( 5/26) Aktualisiere cifs-utils                    [----------------------] 100%
( 6/26) Aktualisiere colord                        [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 7/26) Aktualisiere cpupower                      [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 8/26) Aktualisiere ethtool                       [----------------------] 100%
( 9/26) Aktualisiere lib32-glibc                   [----------------------] 100%
(10/26) Aktualisiere lib32-gcc-libs                [----------------------] 100%
(11/26) Aktualisiere gcc-libs-multilib             [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(12/26) Aktualisiere gcc-multilib                  [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(13/26) Aktualisiere gnupg                         [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(14/26) Aktualisiere gpgme                         [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(15/26) Aktualisiere json-c                        [----------------------] 100%
(16/26) Aktualisiere lib32-libglapi                [----------------------] 100%
(17/26) Aktualisiere lib32-libgl                   [----------------------] 100%
(18/26) Aktualisiere lib32-pango                   [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(19/26) Aktualisiere libtorrent-rasterbar          [----------------------] 100%
(20/26) Aktualisiere macchanger                    [----------------------] 100%
(21/26) Aktualisiere mkinitcpio                    [----------------------] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(22/26) Aktualisiere perl-error                    [----------------------] 100%
(23/26) Aktualisiere smbclient                     [----------------------] 100%
(24/26) Aktualisiere sudo                          [----------------------] 100%
(25/26) Aktualisiere xorg-server-common            [----------------------] 100%
(26/26) Aktualisiere xorg-server                   [----------------------] 100%

"Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)" means something like "Could not call execv (file or diretory not found)"


So what should I do now? I didn't restart the system yet.


best regards
nuc

Last edited by nuc (2013-01-29 16:36:24)

Offline

#2 2013-01-27 15:44:42

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] Glibc and filesystem update, I screwed it up

I wouldn't think that forgetting the lib32 version should do anything that terrible. After all, you might not have had multilib enabled at all.

Have you seen what is in /usr/lib64 and what owns it and its contents? The instructions said, I think, to update those packages first and then run the system upgrade. Have you tried that?

Note that in your output, it is trying to upgrade glibc but not filesystem which is not going to work. The instructions said to update the stuff with files in /usr/lib64 individually so I would try that.

Last edited by cfr (2013-01-27 15:46:56)


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#3 2013-01-27 15:59:14

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

cfr wrote:

Note that in your output, it is trying to upgrade glibc but not filesystem which is not going to work. The instructions said to update the stuff with files in /usr/lib64 individually so I would try that.

Yes, I've just noticed the same. I forgot the comma (or actually I did not remember I need to set it) in the --ignore command, so it should have looked like this:

pacman -Syu --ignore filesystem, glibc

Unfortunately the way I did it installed glibc nevertheless. hmm


Shortly before doing the update I looked into the lib64 folder and saw its contents. Now it's been deleted of course and I can't start any application.

What should I do?

Last edited by nuc (2013-01-27 16:05:03)

Offline

#4 2013-01-27 16:27:14

nouveau
Member
From: Germany
Registered: 2011-01-16
Posts: 12

Re: [SOLVED] Glibc and filesystem update, I screwed it up

I have the same problem "Konnte execv nicht aufrufen" (can't call execv) when i updated my system. Now i can't sudo anymore. Have anybody an Idea how to solve this Problem?

Here's my terminal output (sorry for the german output, but my system language is german):

sudo pacman -Syu
:: Synchronisiere Paketdatenbanken...
 cinnarch-repo            333,0   B   257K/s 00:00 [######################] 100%
 cinnarch-repo             31,4 KiB   151K/s 00:00 [######################] 100%
 cinnarch-core ist aktuell
 core                     105,2 KiB   567K/s 00:00 [######################] 100%
 extra                   1436,9 KiB   877K/s 00:02 [######################] 100%
 community               1878,2 KiB   729K/s 00:03 [######################] 100%
 multilib                  93,9 KiB   666K/s 00:00 [######################] 100%
:: Starte komplette Systemaktualisierung...
Warnung: filesystem: Lokale Version (1:2012.12-1) ist neuer als core (2013.01-1)
Löse Abhängigkeiten auf...
Suche nach Zwischenkonflikten...

Pakete (31): acl-2.2.51-3  bash-4.2.042-2  calibre-0.9.16-1
             cantarell-fonts-0.0.12-1  cifs-utils-5.9-1  clementine-1.1.1-4
             clutter-gst-2.0.0-1  clutter-gtk-1.4.2-1  colord-0.1.28-1
             evolution-data-server-3.6.3-1  gcc-4.7.2-4  gcc-libs-4.7.2-4
             glibc-2.17-2  json-c-0.10-1  lib32-gcc-libs-4.7.2-4
             lib32-glibc-2.17-2  libgee-0.6.7-1  liblastfm-1.0.6-1
             libwbclient-3.6.11-2  linux-api-headers-3.7.4-1
             mkinitcpio-0.12.0-3  mtools-4.0.18-1  ruby-atk-1.2.0-1
             ruby-gdkpixbuf2-1.2.0-1  ruby-glib2-1.2.0-1  ruby-gtk2-1.2.0-1
             ruby-pango-1.2.0-1  smbclient-3.6.11-2  sudo-1.8.6.p5-1
             transmission-cli-2.76-2  transmission-gtk-2.76-2

Gesamtgröße des Downloads: 69,55 MiB
Gesamtgröße der zu installierenden Pakete: 338,41 MiB
Größendifferenz der Aktualisierung:       0,55 MiB

Installation fortsetzen?  [J/n] j
:: Empfange Pakete von core...
 acl-2.2.51-3-x86_64      132,9 KiB   502K/s 00:00 [######################] 100%
 linux-api-headers-3...   614,9 KiB   737K/s 00:01 [######################] 100%
 glibc-2.17-2-x86_64        7,7 MiB   971K/s 00:08 [######################] 100%
 bash-4.2.042-2-x86_64    788,3 KiB   577K/s 00:01 [######################] 100%
 gcc-libs-4.7.2-4-x86_64  768,5 KiB   711K/s 00:01 [######################] 100%
 gcc-4.7.2-4-x86_64        18,4 MiB   748K/s 00:25 [######################] 100%
 mkinitcpio-0.12.0-3-any   28,9 KiB   241K/s 00:00 [######################] 100%
 sudo-1.8.6.p5-1-x86_64   576,9 KiB   428K/s 00:01 [######################] 100%
:: Empfange Pakete von extra...
 cantarell-fonts-0.0...    56,6 KiB   503K/s 00:00 [######################] 100%
 libwbclient-3.6.11-...    26,7 KiB   417K/s 00:00 [######################] 100%
 cifs-utils-5.9-1-x86_64   65,7 KiB   545K/s 00:00 [######################] 100%
 liblastfm-1.0.6-1-x...   214,6 KiB   651K/s 00:00 [######################] 100%
 clutter-gst-2.0.0-1...    58,1 KiB   536K/s 00:00 [######################] 100%
 clutter-gtk-1.4.2-1...    34,3 KiB   356K/s 00:00 [######################] 100%
 colord-0.1.28-1-x86_64   288,8 KiB   508K/s 00:01 [######################] 100%
 evolution-data-serv...     2,9 MiB   868K/s 00:03 [######################] 100%
 json-c-0.10-1-x86_64      30,0 KiB   529K/s 00:00 [######################] 100%
 libgee-0.6.7-1-x86_64    102,7 KiB   284K/s 00:00 [######################] 100%
 mtools-4.0.18-1-x86_64   173,4 KiB   452K/s 00:00 [######################] 100%
 smbclient-3.6.11-2-...     7,9 MiB  1001K/s 00:08 [######################] 100%
 transmission-cli-2....   587,7 KiB   225K/s 00:03 [######################] 100%
 transmission-gtk-2....   708,0 KiB   647K/s 00:01 [######################] 100%
:: Empfange Pakete von community...
 calibre-0.9.16-1-x86_64   19,3 MiB   958K/s 00:21 [######################] 100%
 clementine-1.1.1-4-...     4,3 MiB   719K/s 00:06 [######################] 100%
 ruby-glib2-1.2.0-1-...   101,5 KiB   293K/s 00:00 [######################] 100%
 ruby-atk-1.2.0-1-x86_64   18,4 KiB   176K/s 00:00 [######################] 100%
 ruby-gdkpixbuf2-1.2...    14,6 KiB   182K/s 00:00 [######################] 100%
 ruby-pango-1.2.0-1-...    34,4 KiB   270K/s 00:00 [######################] 100%
 ruby-gtk2-1.2.0-1-x...   233,1 KiB   376K/s 00:01 [######################] 100%
:: Empfange Pakete von multilib...
 lib32-glibc-2.17-2-...     2,7 MiB   755K/s 00:04 [######################] 100%
 lib32-gcc-libs-4.7....   732,4 KiB   499K/s 00:01 [######################] 100%
(31/31) Überprüfe Paket-Integrität                 [######################] 100%
(31/31) Lade Paket-Dateien                         [######################] 100%
(31/31) Prüfe auf Dateikonflikte                   [######################] 100%
(31/31) Überprüfe verfügbaren Festplattenspeicher  [######################] 100%
( 1/31) Aktualisiere acl                           [######################] 100%
( 2/31) Aktualisiere linux-api-headers             [######################] 100%
( 3/31) Aktualisiere glibc                         [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 4/31) Aktualisiere bash                          [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 5/31) Aktualisiere calibre                       [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 6/31) Aktualisiere cantarell-fonts               [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 7/31) Aktualisiere libwbclient                   [######################] 100%
( 8/31) Aktualisiere cifs-utils                    [######################] 100%
( 9/31) Aktualisiere liblastfm                     [######################] 100%
(10/31) Aktualisiere clementine                    [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(11/31) Aktualisiere clutter-gst                   [######################] 100%
(12/31) Aktualisiere clutter-gtk                   [######################] 100%
(13/31) Aktualisiere colord                        [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(14/31) Aktualisiere evolution-data-server         [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(15/31) Aktualisiere gcc-libs                      [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(16/31) Aktualisiere gcc                           [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(17/31) Aktualisiere json-c                        [######################] 100%
(18/31) Aktualisiere lib32-glibc                   [######################] 100%
(19/31) Aktualisiere lib32-gcc-libs                [######################] 100%
(20/31) Aktualisiere libgee                        [######################] 100%
(21/31) Aktualisiere mkinitcpio                    [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(22/31) Aktualisiere mtools                        [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
Neue optionale Abhängigkeiten für mtools
    libsm: required by floppyd
(23/31) Aktualisiere ruby-glib2                    [######################] 100%
(24/31) Aktualisiere ruby-atk                      [######################] 100%
(25/31) Aktualisiere ruby-gdkpixbuf2               [######################] 100%
(26/31) Aktualisiere ruby-pango                    [######################] 100%
(27/31) Aktualisiere ruby-gtk2                     [######################] 100%
(28/31) Aktualisiere smbclient                     [######################] 100%
(29/31) Aktualisiere sudo                          [######################] 100%
(30/31) Aktualisiere transmission-cli              [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(31/31) Aktualisiere transmission-gtk              [######################] 100%
Konnte execv nicht aufrufen (Datei oder Verzeichnis nicht gefunden)
Fehler: Befehl konnte nicht korrekt ausgeführt werden

Offline

#5 2013-01-27 17:40:58

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

Since I wasn't able to run sudo, I restarted with an ArchLinux live-CD.
However I am not able to chroot:

# chroot . /bin/bash
chroot: failed to run command '/bin/bash' : No such file or directory

It's the same as mentioned here: https://bbs.archlinux.org/viewtopic.php … 3#p1223233

What shall I do?

Last edited by nuc (2013-01-27 17:47:37)

Offline

#6 2013-01-27 18:51:36

nouveau
Member
From: Germany
Registered: 2011-01-16
Posts: 12

Re: [SOLVED] Glibc and filesystem update, I screwed it up

@nuc

I also tried to chroot into my system but it doesn't funtioned either. I got the same error message. Then i tried following from https://bbs.archlinux.org/viewtopic.php?id=156943:

Boot into a live system, mount your root system and try

pacman --root /path/to/mounted/root -S filesystem glibc

On my system it installs both filesystem and glibc properly. After this i was able to start my system again and everythings else seems to work.

Offline

#7 2013-01-27 19:44:51

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

Thanks,

pacman --root /path/to/mounted/root -U <filesystem_package_dir>

Gives me the option to update 'filesystem', however when I try to install it pacman says:

error: failed to commit transaction (conflicting files)
filesystem: /mnt/rescue/usr/lib64 exists in filesystem

Maybe AUR packages?

EDIT:
Ok, I found libflashsupport.so in /usr/lib64/, since this probalbly belongs to the libflashsupport-oss AUR package I uninstalled the package. The file was still there, so I removed I manually.
Although the lib64 directory is now empty I still can't update the filesystem hmm I'm clueless... Shall I remove lib64 completely?

EDIT2: Downgraded glibc but it still doesn't work.

Last edited by nuc (2013-01-27 20:22:54)

Offline

#8 2013-01-27 23:18:26

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,396
Website

Re: [SOLVED] Glibc and filesystem update, I screwed it up

nouveau wrote:
Warnung: filesystem: Lokale Version (1:2012.12-1) ist neuer als core (2013.01-1)

Which "distribution" did you install...

Offline

#9 2013-01-27 23:24:27

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

I guess he's got cinnarch https://bbs.archlinux.org/viewtopic.php?id=144535

:: Synchronisiere Paketdatenbanken...
 cinnarch-repo            333,0   B   257K/s 00:00 [######################] 100%
 cinnarch-repo             31,4 KiB   151K/s 00:00 [######################] 100%
 cinnarch-core ist aktuell
 core                     105,2 KiB   567K/s 00:00 [######################] 100%
 extra                   1436,9 KiB   877K/s 00:02 [######################] 100%
 community               1878,2 KiB   729K/s 00:03 [######################] 100%
 multilib                  93,9 KiB   666K/s 00:00 [######################] 100%
:: Starte komplette Systemaktualisierung...
Warnung: filesystem: Lokale Version (1:2012.12-1) ist neuer als core (2013.01-1)

So it's cinnarch fault for nouveau and not ArchLinux...


Still my problem is not solved sad

Last edited by nuc (2013-01-27 23:25:51)

Offline

#10 2013-01-28 19:21:56

nouveau
Member
From: Germany
Registered: 2011-01-16
Posts: 12

Re: [SOLVED] Glibc and filesystem update, I screwed it up

Sorry for the inconvenience. It's right, i have cinnamon installed and it seems that their repositories screwed something up. I'm sorry for you nuc my problem doesn't match yours and i doesn't know a solution for your problem...

Offline

#11 2013-01-28 21:58:54

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] Glibc and filesystem update, I screwed it up

nuc wrote:

Thanks,

pacman --root /path/to/mounted/root -U <filesystem_package_dir>

Gives me the option to update 'filesystem', however when I try to install it pacman says:

error: failed to commit transaction (conflicting files)
filesystem: /mnt/rescue/usr/lib64 exists in filesystem

Maybe AUR packages?

EDIT:
Ok, I found libflashsupport.so in /usr/lib64/, since this probalbly belongs to the libflashsupport-oss AUR package I uninstalled the package. The file was still there, so I removed I manually.
Although the lib64 directory is now empty I still can't update the filesystem hmm I'm clueless... Shall I remove lib64 completely?

EDIT2: Downgraded glibc but it still doesn't work.

pacman -Qo <file> will tell you which package <file> belongs to - don't just remove stuff blindly.


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#12 2013-01-28 22:04:19

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

Thanks for the tip cfr I will remember that. I checked the file on my other PC it file really belongs to libflashsupport-oss.

BTW - since I downgraded to glibc, everything works for me now and I can start my System without a live-CD.
However I still can't update to the latest filesystem and glibc although /usr/lib64 is empty. Has nobody got a solution?

Last edited by nuc (2013-01-28 22:04:42)

Offline

#13 2013-01-28 23:55:30

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] Glibc and filesystem update, I screwed it up

Which package owns /usr/lib64?


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#14 2013-01-29 00:37:33

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

cfr wrote:

Which package owns /usr/lib64?

Doesn't belong to any package.
However I noticed that after I delete libflashsupport.so (which btw is a symling to /usr/lib/oss/lib/libflashsupport_64.so) it reappears again after some time. Stange...

Offline

#15 2013-01-29 00:39:58

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] Glibc and filesystem update, I screwed it up

Why don't you just remove libflashsupport-oss and see if you can update then? That is, remove the package. I thought you'd tried that but I guess not as it is still there.


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#16 2013-01-29 15:30:38

nuc
Member
Registered: 2012-04-26
Posts: 115

Re: [SOLVED] Glibc and filesystem update, I screwed it up

I have indeed already removed it. When I do pacman -Qo on libflashsupport.so, pacman says that this file doesn't belong to any package. It's really weird. It might be still bound to OSSv4 somehow because I also see libflashsupport.so in /lib64/oss/lib/. I will remove oss package and restart and see if it helped.

EDIT:
I removed it but it didn't help. Then I just removed the whole /usr/lib64/ directory - and viola, I was able to update glibc and filesystem.

The only problem I got now, is that I can't reinstall libflashsupport-oss. Pacman's output:
(conflict)
libflashsupport-oss: /usr/lib/libflashsupport.so exists in filesystem. Could not update package.

UPDATE:
Solved the issue by removing both OSS packages via pacman and then manually some leftovers. Reinstalling worked perfectly.


Thanks for your great help cfr! smile


best regards
nuc

Last edited by nuc (2013-01-29 16:36:02)

Offline

Board footer

Powered by FluxBB